TokensList tokens

List tokens

Global token registry with networks. Filters: ?network= (network slug), ?enabled=true|false.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/tokens?network=tron&enabled=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "id": "cmr3f41z20001psp7phmyapw3",
    "code": "usdt",
    "symbol": "USDT",
    "name": "Tether USD",
    "networkId": "example_string",
    "contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
    "decimals": 6,
    "isNative": true,
    "enabled": true,
    "logoUri": "https://cdn.example.com/tokens/usdt.png",
    "createdAt": "2026-07-02T11:25:15.134000Z",
    "updatedAt": "2026-07-02T11:25:15.134000Z",
    "network": {
      "id": "cmr3f41z20001psp7phmyapw3",
      "coinType": 195,
      "code": "tron_network",
      "slug": "tron",
      "name": "Tron"
    }
  }
]
GET
/api/v1/tokens
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

query
networkstring

Filter by network slug

query
enabledstring
Options: true, false
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Query Parameters

networkstring

Filter by network slug

Example:
tron
enabledstring
Allowed values:truefalse

Responses

idstring
Required

cuid

codestring
Required

App-level slug; used in policies and transactions

symbolstring
Required
namestring
Required
networkIdstring
Required
contractAddressstring
Required

Smart contract address. Unique within a network. null for the native coin

decimalsinteger
Required
isNativeboolean
Required

true means the network's native coin (TRX). One per network

enabledboolean
Required
logoUristring
Required

Link to the token's logo image

createdAtstring
Required
updatedAtstring
Required
networkobject
Required